.menu-component {
  height: 100%;
  &__header {
    background-color: $dark;
    color: white;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1;
    & g,
    & path {
      fill: $color-white;
    }
    &--font-dark {
      color: $dark;
      & g,
      & path {
        fill: $dark;
      }
    }
  }
  &__container {
    height: calc(100% - 48px);
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    background-color: $dark;
    min-height: rem(550px);
  }
  &__container-no-auth {
    height: 100%;
    min-height: rem(500px);
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    background-color: $dark;
  }
  &__half-screen {
    height: max-content;
    flex-grow: 1;
    padding-bottom: 1rem;
    position: relative;
  }
  &__option-div {
    border: 1px solid white;
    text-align: left;
    position: relative;
    padding: 1rem;
    &-text {
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      font-size: .75rem;
      font-weight: bold;
      letter-spacing: 2px;
      color: white;
      align-self: center;
    }
  }
  &__create-button {
    min-height: rem(200px);
    justify-content: center;
    align-items: center;
    padding: 1rem;
    background: $primary;
    height: 100%;
    &-border {
      justify-content: center;
      align-items: center;
      padding: rem(5px);
      background: #FFDD02;
      display: flex;
      border: 3px solid $dark;
      position: absolute;
      z-index: 50;
      width: rem(150px);
      height: rem(150px);
      border-radius: rem(150px);
      box-sizing: border-box;
      opacity: 0;
      animation-name: start-ring;
      animation-delay: 3.5s;
      animation-duration: 3.5s;
      animation-iteration-count: infinite;
      animation-timing-function: linear;
    }
    &-text {
      font-size: rem(12px);
      padding-left: 0;
      padding-right: 0;
      text-align: center;
    }
    & svg {
      fill: $primary;
      width: rem(40px);
    }
  }
  &__icon {
    height: 100%;
    max-width: 2.75rem;
    max-height: 2.75rem;
    fill: white;
  }
  &__avatar_container {
    height: 100%;
    width: auto;

    max-height: 2.75rem;

    overflow: hidden;

  }
  &__avatar {
    height: 100%;
    width: auto;
    object-fit: cover;
    fill: $dark;
  }
  &__avatar-container {
    max-height: 2.75rem;
    max-width: 2.75rem;
    margin-left: auto;
    margin-right: auto;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    height: rem(60px);
    width: rem(60px);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    overflow: hidden;
    background: $color-ligth-gray;
  }
  &__button-design {
    position: absolute;
    z-index: 52;
    margin: 0px;
    border: 30px solid $dark;
    background: $dark;
    color: #FFDD02;
    border-radius: 50%;
    height: rem(150px);
    width: rem(150px);
    align-items: center;
    display: flex;
    justify-content: center;
    & svg {
      fill: $primary;
    }
  }
  &__dropdown {
    &-header {
      color: white;
      text-align: left;
      &-text {
        line-height: rem(27px);
        font-size: .85rem;
        font-weight: bold;
        margin-bottom: 0;
      }
      & .icon {
        fill: white;
      }
    }
  }
  &__notif-circle {
    border-radius: 50%;
    position: absolute;
    margin-top: 0;
    top:calc(50% - 7.5px);
    right: calc(5% - 0px);
    display: block;
    width: rem(15px);
    height: rem(15px);
    border: 0;
    color: $color-white;
    font-weight: bold;
    font-size: .7rem;
    text-align:center;
    vertical-align: center;
    cursor: pointer;
    text-decoration: none;
    background: $color-blue;
    pointer-events:none;
  }
  // CHECK
  & .settings {
    padding-left: rem(8px);
    padding-right: rem(8px);
    height: 100%;
    & > .liquid-child {
      height: 100%;
      display: flex;
      flex-direction: column;
      overflow: auto;
    }
  }
}

@media screen and (min-width: 992px) {
  .menu-component {
    &__container {
      min-height: 0;
      position: relative;
    }
    &__option-div {
      height: rem(62px);
      position: relative;
    }
    &__avatar {
      width: auto;
      height: 100%;
    }
    &__notif-circle {
      border-radius: 50%;
      position: absolute;
      margin-top: 0;
      top:calc(50% - 7.5px);
      right: calc(5% - 0px);
      display: block;
      width: rem(15px);
      height: rem(15px);
      border: 0;
      color: $color-white;
      font-weight: bold;
      font-size: .7rem;
      text-align:center;
      vertical-align: center;
      cursor: pointer;
      text-decoration: none;
      background: $color-blue;
      pointer-events:none;
    }

    &__avatar-container {
      border-radius: 50%;
      display: flex;
      justify-content: center;
      overflow: hidden;
      max-height: rem(28px);
      max-width: rem(28px);
      height: rem(28px);
      width: rem(28px);
      background: $color-ligth-gray;
    }
    &__half-screen {
      padding-bottom: 0;
    }
  }
}
